> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user exchange limits

> Gets exchange limits information for a single user.

<Info>
  This request returns information on your payment method transfer limits, as well as buy/sell limits per currency.
</Info>


## OpenAPI

````yaml GET /users/{user_id}/exchange-limits
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /users/{user_id}/exchange-limits:
    get:
      tags:
        - Users
      summary: Get user exchange limits
      description: Gets exchange limits information for a single user.
      operationId: ExchangeRESTAPI_GetUserExchangeLimits
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiUserExchangeTransferLimits'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiUnauthorizedResponse'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
components:
  schemas:
    apiUserExchangeTransferLimits:
      required:
        - limit_currency
        - transfer_limits
      type: object
      properties:
        transfer_limits:
          $ref: '#/components/schemas/apiUserExchangeTransferLimitsEntry'
        limit_currency:
          type: string
      example:
        limit_currency: USD
        transfer_limits:
          exchange_withdraw:
            MANA:
              max: '391282.23187385'
              remaining: '391282.23187385'
              period_in_days: 7
            ALGO:
              max: '59844.404548'
              remaining: '59844.404548'
              period_in_days: 7
            ATOM:
              max: '4624.277457'
              remaining: '4624.277457'
              period_in_days: 7
            KNC:
              max: '21584.28663933'
              remaining: '21584.28663933'
              period_in_days: 7
    apiUnauthorizedResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
      description: >-
        UnauthorizedResponse is the response message for endpoints in
        rest-gateway that requires authentication.

        This message is used to generate the Exchange REST API documentation
        using OpenAPI format.
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
    apiUserExchangeTransferLimitsEntry:
      required:
        - exchange_withdraw
      type: object
      properties:
        exchange_withdraw:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/apiUserExchangeTransferLimitsForCurrency'
      example:
        exchange_withdraw:
          MANA:
            max: '391282.23187385'
            remaining: '391282.23187385'
            period_in_days: 7
          ALGO:
            max: '59844.404548'
            remaining: '59844.404548'
            period_in_days: 7
          ATOM:
            max: '4624.277457'
            remaining: '4624.277457'
            period_in_days: 7
          KNC:
            max: '21584.28663933'
            remaining: '21584.28663933'
            period_in_days: 7
    apiUserExchangeTransferLimitsForCurrency:
      required:
        - max
        - period_in_days
        - remaining
      type: object
      properties:
        period_in_days:
          type: integer
          format: int64
        remaining:
          type: string
        max:
          type: string
      example:
        max: '391282.23187385'
        remaining: '391282.23187385'
        period_in_days: 7
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````